<!DOCTYPE html>
{% load static %}
<html lang="en">
    <title>Search</title>
    <head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}">
    </head>
    <body>
        <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
            {% include 'Base.html' %}
          </div>
          <div>
        <h1 style="margin: 100px 0 0 100px;">Search</h1>
        <input id="keyword" placeholder="Masukan Kata Kunci" style="margin: 25px 0 0 100px; width: 30vw;">
    
        <ol id="daftar_isi" style="margin: 25px 0 0 100px;"></ol>

        <script type="text/javascript">
            $("#keyword").keyup(function(){
                var keyword = $("#keyword").val();
                console.log(keyword);

                $.ajax({
                    url:'/Data?q=' + keyword,
                    success: function(Data){
                        var array_items = Data.items;
                        console.log(array_items);

                        $("#daftar_isi").empty();
                        $("#daftar_isi").append("<table><tr>"+"<td>"+"No"+"</td>" +"<td>"+"Judul"+"</td>"+"<td>"+"Gambar"+"</td>" +"</tr></table>")
                        for(i=0; i < array_items.length; i++){
                            var judul= array_items[i].volumeInfo.title;
                            var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                            $('#daftar_isi').append("<table>"+"<tr><td>"+ (i+1) +"</td>"+"<td>" + judul +"</td>" +"<td>"+"<img src=" + gambar + "></td></tr></table>")
                        }
                    }
                });
            });
        </script>
        </div>
    </body>
</html>